﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        <telerik:RadGrid ID="RadGrid0" runat="server" DataSourceID="AccessDataSource1" GridLines="None" OnItemDataBound="RadGrid0_ItemDataBound">
            <ExportSettings>
                <Pdf FontType="Subset" PaperSize="Letter" />
                <Excel Format="Html" />
            </ExportSettings>
            <MasterTableView AutoGenerateColumns="False" CommandItemDisplay="None" CurrentResetPageIndexAction="SetPageIndexToFirst"
                DataSourceID="AccessDataSource1" Dir="LTR" Frame="Border" TableLayout="Auto">
                <RowIndicatorColumn CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType"
                    Visible="False">
                    <HeaderStyle Width="20px" />
                </RowIndicatorColumn>
                <ExpandCollapseColumn CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType"
                    Resizable="False" Visible="False">
                    <HeaderStyle Width="20px" />
                </ExpandCollapseColumn>
                <Columns>
                    <telerik:GridBoundColumn CurrentFilterFunction="NoFilter" DataField="ProductID" DataType="System.Int32"
                        FilterListOptions="VaryByDataType" ForceExtractValue="None" HeaderText="ProductID"
                        SortExpression="ProductID" UniqueName="ProductID">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn CurrentFilterFunction="NoFilter" DataField="ProductName"
                        FilterListOptions="VaryByDataType" ForceExtractValue="None" HeaderText="ProductName"
                        SortExpression="ProductName" UniqueName="ProductName">
                    </telerik:GridBoundColumn>
                    <telerik:GridTemplateColumn CurrentFilterFunction="NoFilter" DataField="CategoryName"
                        FilterListOptions="VaryByDataType" ForceExtractValue="None" HeaderText="CategoryName"
                        SortExpression="CategoryName" UniqueName="CategoryName">
                        <EditItemTemplate>
                            <asp:TextBox runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.CategoryName") %>'></asp:TextBox>
                        </EditItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="Label1" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.CategoryName") %>'></asp:Label>
                            <telerik:RadToolTip ID="RadToolTip1" runat="server" 
                                IsClientID="true" Width="200px" Height="200px" Title="Description">
                                This is the category - <%# DataBinder.Eval(Container, "DataItem.CategoryName") %> for product -
                                 <%# DataBinder.Eval(Container, "DataItem.ProductName") %>.
                            </telerik:RadToolTip>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
                <EditFormSettings>
                    <EditColumn CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType">
                    </EditColumn>
                </EditFormSettings>
            </MasterTableView>
            <GroupPanel ID="GroupPanel" Style="width: 100%;">
            </GroupPanel>
        </telerik:RadGrid><asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/Nwind.mdb"
            SelectCommand="SELECT TOP 10 [ProductID], [ProductName], [CategoryName] FROM [Alphabetical List of Products]">
        </asp:AccessDataSource>
    </form>    
</body>
</html>
